Bug 105959 - pam_console problems with reboots
pam_console problems with reboots
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-29 19:14 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 03:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-09-29 19:14:27 EDT
Description of problem:

pam_console defaults to not changing a device if it isnt currently root owned.
This causes gradual creeping loss of devices when systems do get  hard power
cycled. I've been debugging this problem on several university computer society
systems.

How reproducible:
100%


Steps to Reproduce:
1. login via gdm
2. hit power switch
3. login as other user
 
Actual results:
Audio no longer works (mixer permissions wrong)

Expected results:
Audio transferred to new user


Additional info:

I'm not sure if the right fix is to default to the no root option (which it has
but doesnt default to) or to have a script at boot time which reassigns those
devices to root.
Comment 1 Bill Nottingham 2003-09-29 21:48:58 EDT
This is supposed to get cleaned up at boot... see the call to pam_console_apply
in rc.sysinit. Is the lock for pam_console with the console username not getting
cleaned up right?
Comment 2 Tomas Mraz 2004-10-27 03:23:15 EDT
I think this really can't be a problem anymore as we are using udev
and so the device nodes are recreated anyway.
Comment 3 Alan Cox 2004-10-27 09:10:30 EDT
Fair comment I think. 

Note You need to log in before you can comment on or make changes to this bug.